---
title: "Documentation"
weight: 1
---

# Welcome

Welcome to the [Artifact Hub](https://artifacthub.io/) documentation. Artifact Hub is a web-based application that enables finding, installing, and publishing Kubernetes packages.


The documentation is organized in the following topics:


|Topic|Description|
|-|-|
|[Repositories guide](/docs/topics/repositories)|The repositories guide explains how to add repositories to Artifact Hub, as well as other related concepts like Verified Publisher or Ownership Claim.|
|[Helm annotations](/docs/topics/annotations/helm)|Describes some custom annotations that allow enriching the existing metadata in Helm Charts to improve users' experience in Artifact Hub.|
|[OLM annotations](/docs/topics/annotations/olm)|Describes some custom annotations that allow enriching the existing metadata in OLM operators to improve users' experience in Artifact Hub.|
|[Packages security report](/docs/topics/security_report)|Explains how packages are scanned for security vulnerabilities and the structure of the security report.|
|[Development environment setup](/docs/topics/dev)|This guide will help contributors setup their development environment to do some work on Artifact Hub.|
|[Authorization](/docs/topics/authorization)|Explains how the authorization mechanism that allows organizations to define what actions can be performed by their members works and how to set it up.|

